Bug 1023771 - Review Request: golang-github-goerlang-epmd - Erlang Port Mapper Daemon protocol
Review Request: golang-github-goerlang-epmd - Erlang Port Mapper Daemon protocol
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
:
Depends On: 1010713
Blocks: 1023776
  Show dependency treegraph
 
Reported: 2013-10-27 15:06 EDT by Peter Lemenkov
Modified: 2016-04-28 11:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 11:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review?


Attachments (Terms of Use)
spec tweaks (1.59 KB, patch)
2014-07-16 15:48 EDT, Vincent Batts
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2013-10-27 15:06:39 EDT
Spec URL: http://peter.fedorapeople.org/golang-github-goerlang-epmd.spec
SRPM URL: http://peter.fedorapeople.org/golang-github-goerlang-epmd-0-0.1.20130122gitceb5c1f.fc21.src.rpm
Description: Erlang Port Mapper Daemon protocol
Fedora Account System Username: peter
Comment 1 Mario Blättermann 2013-10-29 15:21:32 EDT
Taking this for a full review.
Comment 2 Vincent Batts 2014-07-16 15:48:21 EDT
Created attachment 918507 [details]
spec tweaks

Looks pretty good. A couple of points (and a patch to reference):
* removed a little boiler-plate, to use the golang rpm macros
* which makes a BuildRequires: golang
* preserve timestamps of copied source ( and removed the redundant -r, since -a does a recursive copy)
* Stub out for future tests. Hopefully upstream will provide *_test.go for us to check against.
* removed ownership of directories that the golang rpm owns

Lastly, I'm not opposed to the break out of the pieces of %{import_path}, just as long as we standardize on the use of %{import_path}.

Note You need to log in before you can comment on or make changes to this bug.